InvalidDeltaException (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode, class: InvalidDeltaException

Package org.apache.geode

# Class InvalidDeltaException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.geode.GemFireException
org.apache.geode.InvalidDeltaException

All Implemented Interfaces:
  `Serializable`

public class InvalidDeltaException extends GemFireException
An `InvalidDeltaException` is thrown when a delta cannot be successfully applied by the receiving peer/client. The class implementing `Delta` may also choose to throw this in `Delta.fromDelta(DataInput in)`. GemFire, on encountering this exception distributes the full application object.

Since:
  GemFire 6.1
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InvalidDeltaException()`
  Creates a new `InvalidDeltaException`.
  `InvalidDeltaException(String msg)`
  Creates a new `InvalidDeltaException`.
  `InvalidDeltaException(String msg, Throwable e)`
  Creates a new `InvalidDeltaException`.
  `InvalidDeltaException(Throwable e)`
  Creates a new `InvalidDeltaException`.

- ## Method Summary

  ### Methods inherited from class org.apache.geode.GemFireException

  `getRootCause`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InvalidDeltaException

    public InvalidDeltaException()
    Creates a new `InvalidDeltaException`.

  - ### InvalidDeltaException

    public InvalidDeltaException(String msg)
    Creates a new `InvalidDeltaException`.
    Parameters:
      `msg` - String explaining the exception

  - ### InvalidDeltaException

    public InvalidDeltaException(Throwable e)
    Creates a new `InvalidDeltaException`.
    Parameters:
      `e` - Throwable

  - ### InvalidDeltaException

    public InvalidDeltaException(String msg, Throwable e)
    Creates a new `InvalidDeltaException`.
    Parameters:
      `msg` - String explaining the exception
      `e` - Throwable